<div *ngIf="product.title" class="card">
  <img *ngIf="product.imageUrl" [src]="product.imageUrl" class="card-img-top" alt="product.title"/>
  <div class="card-body ">
    <h5 class="card-title">{{product.title}}</h5>
    <p class="card-text">{{product.price | currency :'USD':true}}</p>
  </div>

  <div *ngIf="showActions" class="card-footer">
    <div>
      <button *ngIf="cartQuantity === undefined || cartQuantity === 0 ; else updateQuantity"
              (click)= addToCart()
              class="btn btn-secondary btn-block">
        Add to Cart
      </button>
      <ng-template #updateQuantity>
        <div class="row">
          <div class="col-2 no-gutters">
            <button class="btn btn-secondary btn-block" (click)="removeToCart()">-</button>
          </div>
          <div class="col text-center">
            {{cartQuantity}}
          </div>
          <div class="col-2 no-gutters">
            <button class="btn btn-secondary btn-block" (click)="addToCart()">+</button>
          </div>
        </div>
      </ng-template>
    </div>
  </div>
</div>
